<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.ldt.shopyingshou.mapper.ShopYingshouMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="shopYingshouResultMap" type="org.springblade.modules.ldt.shopyingshou.entity.ShopYingshou">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="shop_id" property="shopId"/>
        <result column="channel_id" property="channelId"/>
        <result column="channel_name" property="channelName"/>
        <result column="channel_logo" property="channelLogo"/>
        <result column="point" property="point"/>
        <result column="point_value" property="pointValue"/>
        <result column="bill_record_id" property="billRecordId"/>
        <result column="bill_record_status" property="billRecordStatus"/>
        <result column="js_time" property="jsTime"/>
        <result column="payment_days" property="paymentDays"/>
        <result column="js_status" property="jsStatus"/>
    </resultMap>


    <select id="selectShopYingshouPage" resultMap="shopYingshouResultMap">
        select * from ldt_shop_yingshou where is_deleted = 0
    </select>

</mapper>
